<?php
/**
 * @package BILLETS
 * @link 	http://www.dioscouri.com
 * @license GNU/GPLv2
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view' );

/**
 * Billets View
 *
 * @package BILLETS
 */
class BilletsViewTicket extends JView {
	/**
	 * Billets view display method
	 * @return void
	 **/
	 // **********************************************
	function display($tpl = null) {
		global $mainframe, $Itemid;
        jimport('joomla.utilities.date');
        
		// JHTML::_('stylesheet', 'billets.css', 'administrator/components/com_billets/css/');
 
 		$user 		= &JFactory::getUser();
		//get the data
		$row		= &$this->get('Data');
		$messages	= &$this->get('Messages');
		$types		= &$this->get('Types');
		$pagetitle  = &$this->get('PageTitle');

		// update the pathway
		$pathway = $mainframe->getPathway();
		if ($pagetitle) { $pathway->addItem( $pagetitle ); }
						
        $this->assignRef( 'user', $user );
        $this->assignRef( 'Itemid', $Itemid );
		$this->assignRef('row', $row);
		$this->assignRef('messages', $messages);
		$this->assignRef('types', $types);

		parent::display($tpl);

    }
	 // **********************************************

}
// ************************************************************************